Node('gas10ka.psi.ch',
     '10kBar Gas pressure stick',
     interface='tcp://5010',
)

Mod('io',
    'frappy_psi.logo.IO',
    '',
    ip_address = "192.168.1.1",
    tcap_client = 0x3000,
    tsap_server = 0x2000
)

Mod('R_pt10k',
    'frappy_psi.logo.Resistor',
    'raw sensor value of T_p10k',
    io = 'io',
    addr = "VW0",
)

Mod('T_pt10k',
    'frappy_psi.softcal.Sensor',
    'temperature close to sample',
    value=Param(unit='K'),
    rawsensor='R_pt10k',
    calcurve='pt10000e',
)

Mod('R_top',
    'frappy_psi.logo.Resistor',
    'raw sensor value of T_top',
    io = 'io',
    addr = "VW2",
)

Mod('T_top',
    'frappy_psi.softcal.Sensor',
    'capillary temperature at highest position',
    value=Param(unit='K'),
    rawsensor='R_top',
    calcurve='pt1000e',
)

Mod('R_mid',
    'frappy_psi.logo.Resistor',
    'raw sensor value of T_mid',
    io = 'io',
    addr = "VW6",
)

Mod('T_mid',
    'frappy_psi.softcal.Sensor',
    'capillary temperature at mid position',
    value=Param(unit='K'),
    rawsensor='R_mid',
    calcurve='pt1000e',
)

Mod('R_bot',
    'frappy_psi.logo.Resistor',
    'raw sensor value of T_bot',
    io = 'io',
    addr = "VW4",
)

Mod('T_bot',
    'frappy_psi.softcal.Sensor',
    'capillary temperature at lower position',
    value=Param(unit='K'),
    rawsensor='R_bot',
    calcurve='pt1000e',
)


Mod('R_sam_cx',
     'frappy_psi.logo.Resistor',
     'sensor',
     io = 'io',
     addr = "VW16",
 )

Mod('T_sam_cx',
     'frappy_psi.softcal.Sensor',
     '?',
     value=Param(unit='K'),
     rawsensor='R_sam_cx',
     calcurve='X174785',
)

Mod('heater',
    'frappy_psi.capillary_heater.Heater',
    'the capillary heater',
    io = 'io',
)
